from django.forms.widgets import Select
from main.forms import IconInput, NummiForm

from .models import Account


class AccountForm(NummiForm):
    class Meta:
        model = Account
        fields = [
            "name",
            "icon",
            "default",
            "archived",
        ]
        widgets = {
            "icon": IconInput(),
        }


class AccountSelect(Select):
    template_name = "account/forms/widgets/account.html"
